# Docs For Class FileMaker_Command_Add

## Class FileMaker_Command_Add

Description

Command class that adds a new record.

Create this command with FileMaker::newAddCommand().

Located in /FileMaker/Command/Add.php (line 29)

    FileMaker_Command
       |
       --FileMaker_Command_Add

Method Summary
void setField (string $field, string $value, [integer $repetition = 0])
void setFieldFromTimestamp (string $field, string $timestamp, [integer $repetition = 0])
Methods
setField (line 62)

Sets the new value for a field.

void setField (string $field, string $value, [integer $repetition = 0])

- string $field: Name of field to set.
- string $value: Value to set for this field.
- integer $repetition: Field repetition number to set, Defaults to the first repetition.

setFieldFromTimestamp (line 83)

Sets the new value for a date, time, or timestamp field from a UNIX timestamp value.

If the field is not a date or time field, then this method returns an Error object. Otherwise, returns TRUE.

If layout data for the target of this command has not already been loaded, calling this method loads layout data so that the type of the field can be checked.

void setFieldFromTimestamp (string $field, string $timestamp, [integer $repetition = 0])

- string $field: Name of the field to set.
- string $timestamp: Timestamp value.
- integer $repetition: Field repetition number to set. Defaults to the first repetition.

#### Inherited Methods

Inherited From FileMaker_Command

> FileMaker_Command::execute()
> FileMaker_Command::setPreCommandScript()
> FileMaker_Command::setPreSortScript()
> FileMaker_Command::setRecordClass()
> FileMaker_Command::setRecordId()
> FileMaker_Command::setResultLayout()
> FileMaker_Command::setScript()
> FileMaker_Command::validate()

Documentation generated on Wed, 29 Jun 2011 12:31:21 -0700 by phpDocumentor 1.4.0